%define upstream_name    Fennec-Lite
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Minimalist Fennec, the commonly used bits
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Fennec/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
the Fennec manpage does a ton, but it may be hard to adopt it all at once.
It also is a large project, and has not yet been fully split into component
projects. Fennec::Lite takes a minimalist approach to do for Fennec what
Mouse does for Moose.

Fennec::Lite is a single module file with no non-core dependencies. It can
easily be used by any project, either directly, or by copying it into your
project. The file itself is less than 300 lines of code at the time of this
writing, that includes whitespace.

This module does not cover any of the more advanced features such as result
capturing or SPEC workflows. This module only covers test grouping and
group randomization. You can also use the FENNEC_ITEM variable with a group
name or line number to run a specific test group only. Test::Builder is
used under the hood for TAP output.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build


%install
./Build install destdir=%{buildroot}

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.4.0-9pclos2017
- rebuild against updates

